POST
/
v1
/
organizations
/
{organizationId}
/
provider-connections
/
openrouter
/
oauth
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.providerGateway.startOpenRouterConnect({
  organizationId: process.env.OCTOSPARK_ORGANIZATION_ID ?? "organizationId",
})
{
  "flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "authorizationUrl": "<string>",
  "expiresAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Organization id (UUID). Discover ids via the list organizations endpoint or the agent context.

Response

Success

flowId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
authorizationUrl
string
required
expiresAt
string
required